package Models.BonLivraisonClt;

import javafx.beans.property.SimpleStringProperty;

/**
 * @author maher
 */
public class BonLivraisonCltGestionList {
    
    private final SimpleStringProperty IdBonLivrasionClt;
    private final SimpleStringProperty DateHeurLivraison;
    private final SimpleStringProperty AdresseLivraison;
    private final SimpleStringProperty CodeClt;
    private final SimpleStringProperty IdFactureClt;
    private final SimpleStringProperty Transporteur;



    public BonLivraisonCltGestionList(String IdBonLivrasionClt, String DateHeurLivraison, String AdresseLivraison, String CodeClt, String IdFactureClt, String Transporteur) {
        this.IdBonLivrasionClt = new SimpleStringProperty(IdBonLivrasionClt);
        this.DateHeurLivraison = new SimpleStringProperty(DateHeurLivraison);
        this.AdresseLivraison = new SimpleStringProperty(AdresseLivraison);
        this.CodeClt = new SimpleStringProperty(CodeClt);
        this.IdFactureClt = new SimpleStringProperty(IdFactureClt);
        this.Transporteur = new SimpleStringProperty(Transporteur);
    }


    public String getIdBonLivrasionClt() {
        return IdBonLivrasionClt.get();
    }
    
    public String getDateHeurLivraison() {
        return DateHeurLivraison.get();
    }
    
    public String getCodeClt() {
        return CodeClt.get();
    }
    
    public String getIdFactureClt() {
        return IdFactureClt.get();
    }
    
    public String getAdresseLivraison() {
        return AdresseLivraison.get();
    }
    
    public String getTransporteur() {
        return Transporteur.get();
    }
    
}
